"""Commonly used utility functions.
  
    Author: Javad Nouri 
    first.last  <at> cs.helsinki.fi
"""

def sort_after_first(some_list):
    """Sort elements of the list except the head.

    """
    return some_list[0:1] + sorted(some_list[1:])
    

def flen(iterable):
    """Return length of iterable as a floating point number. Useful
       e.g. in case of many division operations.

    """
    return float(len(iterable))
